import { Scope } from "../model/scopes";
import { AffiliationsClient } from "./affiliationsClient";
import { ConsentsClient } from "./consentsClient";
import { CountriesClient } from "./countriesClient";
import { OrgsClient } from "./orgsClient";
import { PersonsClient } from "./personsClient";
import { RelationsClient } from "./relationsClient";
import { Environment } from "../model/environment";
export interface CoreApiConfig {
    environment: Environment;
    clientId: string;
    clientSecret: string;
    customApiBaseUrl?: string;
    scopes?: Scope[];
    customOauthTokenUrl?: string;
    customOauthAudience?: string;
    customOptions?: Record<string, string>;
}
export declare class CoreApiClient {
    private auth;
    private basePath;
    private _affiliations;
    private _consents;
    private _countries;
    private _orgs;
    private _persons;
    private _relations;
    get affiliations(): AffiliationsClient;
    get consents(): ConsentsClient;
    get countries(): CountriesClient;
    get orgs(): OrgsClient;
    get persons(): PersonsClient;
    get relations(): RelationsClient;
    constructor(config: CoreApiConfig);
    refreshTestData(): Promise<import("axios").AxiosResponse<any, any>>;
}
